--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: x
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: y
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: []

full_name: GD2::Canvas::Point
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: coordinates
- !ruby/object:RI::MethodSummary 
  name: draw
- !ruby/object:RI::MethodSummary 
  name: transform
- !ruby/object:RI::MethodSummary 
  name: transform!
name: Point
superclass: Object
